from conans import ConanFile, CMake, tools
import os


class SmanagerConan(ConanFile):
    name = "wttest"
    version = "0.1.0"
    license = "<Put the package license here>"
    author = "Andrii Zhuk <andrewzhuk@gmail.com>"
    url = "<Package recipe repository url here, for issues about the package>"
    description = "Experimental archiver"
    topics = ("bsw", "wt")
    settings = "os", "compiler", "build_type", "arch"
    options = {"codecov": [True, False]
            , "clangcheck": [True, False]
            , "asancheck": [True, False]
            , "tsancheck": [True, False]
            , "usancheck": [True, False]
            , "tags": [True,False]}
    default_options = "codecov=False" , "clangcheck=False" , "asancheck=False" , "tsancheck=False" , "usancheck=False", "tags=False"
    generators = "cmake"
    build_requires = "wt/4.5.0"

    def source(self):
        pass

    def build(self):
        cmake = CMake(self)
        cmake.configure(source_folder="src")
        cmake.build()

